var el = {
    agreeMerge: '#agreeMerge',
    problemSource: '#problemSource',
    problemLevel: '#problemLevel',
    badReason: '#badReason',
    sqeProblemType: '#sqeProblemType',
    effect: '#effect',
    restrictiveMeasures: '#restrictiveMeasures',
    refuseMerge: '#refuseMerge',
    isUpdateQpa:'#isUpdateQpa'
};
$(function () {
    initComBoBox();
    loadGrid();
    initDetailGrid();
});
function loadGrid() {
    $('#merge_table').datagrid({
        loadMsg: '数据远程载入中,请等待...',
        singleSelect: true,
        //url: '../handleQuality/findMergeByPage.do',
        pagination: false,
        checkbox: true,
        rownumbers: true,
        fitColumns: true,
        idFiled: "id",
        // height: gridheight,
        width: gridwidth,
        queryParams: {
            page: 1,
            rows: 10,
            id: $("#id").val(),
            mergeFlag: $("#merge_flag").val()
        },
        onLoadSuccess: function () {
        },
        columns: [[
            {
                field: 'ck',
                checkbox: true
            },
            {
                field: 'id',
                title: 'id',
                hidden: true
            },
            {
                field: 'noticeOrderCode',
                title: '流水号',
                width: '15%',
                align: 'left'

            },
            {
                field: 'materialName',
                title: '物料名称',
                width: '25%',
                align: 'left'
            },
            {
                field: 'badReasonName',
                title: '不合格原因',
                width: '25%',
                align: 'left'
            },
            {
                field: 'badRemark',
                title: '不合格描述',
                width: '30%',
                align: 'left'

            }
        ]]
    });
}
// function loadLog() {
//     $('#tbLog').datagrid({
//         loadMsg: '数据远程载入中,请等待...',
//         singleSelect: true,
//         url: '../handleQuality/findLogByPage.do',
//         pagination: false,
//         checkbox: true,
//         rownumbers: true,
//         fitColumns: true,
//         idFiled: "id",
//         // height: gridheight,
//         width: gridwidth,
//         queryParams: {
//             page: 1,
//             rows: 10,
//             id: $("#id").val(),
//             mergeFlag: $("#merge_flag").val()
//         },
//         onLoadSuccess: function () {
//         },
//         columns: [[
//             {
//                 field: 'noticeOrderId',
//                 hidden: true
//             },
//             {
//                 field: 'examine_node_name',
//                 title: '审核节点',
//                 width: 130
//             },
//             {
//                 field: 'examine_status',
//                 title: '审核状态',
//                 width: 120,
//                 formatter: function (value) {
//                     if (value === 1) {
//                         return '<span style="color: green;">审批通过</span>';
//                     }
//                     if (value === 0) {
//                         return '<span style="color: red;">拒绝</span>';
//                     }
//                     return '';
//                 }
//             },
//             {
//                 field: 'examine_user_code',
//                 title: '审核人工号',
//                 width: 130
//             },
//             {
//                 field: 'examine_user_name',
//                 title: '审核人姓名',
//                 width: 140
//             },
//             {
//                 field: 'examine_view',
//                 title: '审核意见',
//                 width: 300
//             },
//             {
//                 field: 'examine_time',
//                 title: '审核时间',
//                 width: 140,
//                 formatter: function (value) {
//                     if (value) {
//                         return moment(value).format('YYYY-MM-DD HH:mm:ss');
//                     }
//                     return '';
//                 }
//             }
//         ]]
//     });
// }

/**
 * 加载明细表格
 */
function initDetailGrid() {
    var defaults = {
        loadMsg: '数据远程载入中,请等待...',
        singleSelect: true,
        pagination: false,
        //url :  g.ctx + 'pc/spe/supQualityManage/qualityHandle/rest/findRectifiedByPage',
        checkbox: true,
        rownumbers: true,
        width: gridwidth,
        autoSave: true,
        queryParams: {
            page: 1,
            rows: 10,
            id: $("#id").val(),
            merge_flag: $("#merge_flag").val()
        }
    };
    // defaults.toolbar = [
    //     {
    //         text: '添加',
    //         iconCls: 'icon-add',
    //         handler: function () {
    //             addMeasures($("#id").val());
    //         }
    //     }, "-",
    //     {
    //         text: '删除',
    //         iconCls: 'icon-remove',
    //         handler: function () {
    //             removeMeasures();
    //         }
    //     }
    // ];
    columns = [
        {
            field: 'ck',
            checkbox: true
        },
        {
            field: 'id',
            hidden: true
        },
        {
            field: 'noticeOrderId',
            hidden: true
        },
        {
            field: 'measuresContent',
            title: '<font color="red">*</font>处理措施',
            width: 290,
            // editor: {
            //     type: 'textbox',
            //     options: {
            //         prompt: '请输入整改措施'
            //     }
            // }
        },
        {
            field: 'personLiable',
            title: '<font color="red">*</font>责任人',
            width: 130,
            // editor: {
            //     type: 'textbox',
            //     options: {
            //         prompt: '请输入整改责任人'
            //     }
            // }
        },
        {
            field: 'planCompleteTime',
            title: '<font color="red">*</font>计划时间',
            width: 130,
            formatter: function (value) {
                if (value) {
                    return moment(value).format('YYYY-MM-DD HH:mm:ss');
                }
                return '';
            },
            // editor: {
            //     type: 'datetimebox', options: {
            //         onSelect: function (d) {
            //         },
            //         editable: false
            //     }
            // }
        },
        {
            field: 'attachments', title: suplierModel.attachments, width: 100, formatter: function (value, row ,rec) {
                return '<a href="#" onclick="uploadFilesDialog(\''+value+'\')">上传/下载</a>';
            }
        },
        {
            field: 'actualCompleteTime',
            title: '完成时间',
            width: 130,
            formatter: function (value) {
                if (value) {
                    return moment(value).format('YYYY-MM-DD HH:mm:ss');
                }
                return '';
            }
        },
        {
            field: 'status',
            title: '状态',
            width: 90,
            formatter: function (value) {
                if (value === 0) {
                    return 'open';
                }
                if (value === 1) {
                    return 'close';
                }
            }
        }
    ];
    defaults.columns = [columns];

    var settings = jQuery.extend(true, {}, defaults);
    $("#detail_table").edatagrid(settings);
}

//初审提交
function examinationRelease(callback) {
    var rows = $("#detail_table").edatagrid('getRows');
    if (rows == 0) {
        layer.msg("请联系供应商添加纠正与预防措施");
        return false;
    }
    var validate = $("#examinationForm").form('validate');
    if (!validate) {
        layer.msg("必填项不能为空");
        return false;
    }

    var YN="Y";
    if(rows.length>0){
        for(var xb=0;xb<rows.length;xb++){
            var status=rows[xb].status;
            var attachments=rows[xb].attachments;
            if(status==1&&(attachments==""||attachments==null||attachments==undefined)){
                YN="N";
            }
        }
    }

    if(YN!="Y"){
        layer.msg("状态为close时附件必传！");
        return false;
    }

    var id = $("#id").val();
    var merge_flag = $("#merge_flag").val();
    var sqe_examine = $("input[name='sqeExamine']:checked").val();
    var survey_flag = $("input[name='surveyFlag']:checked").val();

    var sqe_problem_type = $("#sqeProblemType").textbox('getValue');
    var problem_level = $("#problemLevel").textbox('getValue');
    var restrictive_measures = $("#restrictiveMeasures").textbox('getValue');
    var is_update_qpa=$("#isUpdateQpa").textbox('getValue')==""?0:$("#isUpdateQpa").textbox('getValue');
    var sqe_examine_opinion = $("#sqeExamineOpinion").val();
    if (sqe_examine == 0 && !sqe_examine_opinion){
        layer.msg("请输入审核意见");
        return false;
    }
    console.log(sqe_examine_opinion)
    var url = "/pc/spe/qualityManage/examineQualityManage/rest/examine";
    $.ajax({
        url: url,
        method: "post",
        data: {
            id:id,
            mergeFlag:merge_flag,
            sqeExamine:sqe_examine,
            sqeProblemType:sqe_problem_type,
            problemLevel:problem_level,
            restrictiveMeasures:restrictive_measures,
            sqeExamineOpinion:sqe_examine_opinion,
            surveyFlag:survey_flag,
            isUpdateQpa:is_update_qpa
        },
        success: function (data) {
            if (data == 0) {
                layer.alert(common_opt_msg.opt_success_msg, function (index) {
                    layer.alert(quality_title.track_success);
                    callback();
                    return false;
                });
            } else if (data == 2) {
                layer.alert(common_opt_msg.opt_survey_flag_msg);
            } else {
                layer.alert(common_opt_msg.opt_fail_msg);
            }
        },
        error: function (data) {
            layer.alert(common_opt_msg.opt_fail_msg);
        }
    });
}

// 选择附件回调
function returnAddRequirefileUpload(ids) {
    var rows = $('#detail_table').datagrid('getSelected');
    var inx = $('#detail_table').datagrid('getRowIndex', rows);
    $('#detail_table').datagrid('updateRow', {
        index: inx,
        row: {
            attachments: ids
        }
    });
    $('#detail_table').datagrid('beginEdit', inx);
}

// 初始化下拉框
function initComBoBox() {
    // 初始化不合格原因下拉框
    $(el.badReason).combobox({
        url: g.ctx + 'pc/sys/dict/getDicByType?type=reasons_for_nonconformity',
        panelHeight: 260,
        method: 'GET',
        valueField: 'code',
        textField: 'name',
        prompt: '-- 请选择 --',
        editable: false
    });
    // 初始化不良批次处理意向下拉框
    $("#defectiveBatches").combobox({
        url: g.ctx + 'pc/sys/dict/getDicByType?type=defective_batches',
        panelHeight: 'auto',
        method: 'GET',
        value: $(".defectiveBatches").val(),
        valueField: 'code',
        textField: 'name',
        prompt: '-- 请选择 --',
        editable: false,
        onSelect: function (record) {

        }

    });
    // 初始化问题类型下拉框
    $(el.problemSource).combobox({
        url: g.ctx + 'pc/sys/dict/getDicByType?type=problem_source',
        panelHeight: 260,
        method: 'GET',
        valueField: 'code',
        textField: 'name',
        prompt: '-- 请选择 --',
        editable: false
    });
    // 问题严重程度
    $(el.problemLevel).combobox({
        method: 'GET',
        valueField: 'code',
        textField: 'name',
        url: g.ctx + 'pc/sys/dict/getDicByType?type=problem_level',
        editable: false,
        value: $(".problemLevel").val(),
        prompt: '-- 请选择 --',
        panelHeight: 'auto'
    });

    // 问题所属类型
    $(el.sqeProblemType).combobox({
        method: 'GET',
        valueField: 'code',
        textField: 'name',
        url: g.ctx + 'pc/sys/dict/getDicByType?type=sqe_problem_type',
        editable: false,
        value: $(".sqeProblemType").val(),
        prompt: '-- 请选择 --',
        panelHeight: 'auto'
    });

    // 效果验证
    // $(el.effect).combobox({
    //     method: 'GET',
    //     valueField: 'code',
    //     textField: 'name',
    //     url: g.ctx + 'pc/sys/dict/getDicByType?type=effect',
    //     editable: false,
    //     value: $(".effect").val(),
    //     prompt: '-- 请选择 --',
    //     panelHeight: 'auto'
    // });
    // 限制措施选项
    $(el.restrictiveMeasures).combobox({
        method: 'GET',
        valueField: 'code',
        textField: 'name',
        url: g.ctx + 'pc/sys/dict/getDicByType?type=restrictive_measures',
        editable: false,
        value: $(".restrictiveMeasures").val(),
        prompt: '-- 请选择 --',
        panelHeight: 'auto'
    });

    // 是否更新QPA检查表
    $(el.isUpdateQpa).combobox({
        method: 'GET',
        editable: false,
        panelHeight: 'auto',
        valueField: 'value',
        textField: 'label',
        value: $(".isUpdateQpa").val(),
        prompt: '-- 请选择 --',
        data: [
            {label: '否', value: 0},
            {label: '是', value: 1}
        ]
    });

    $("#defectiveBatches").combobox({
        method: 'GET',
        valueField: 'code',
        textField: 'name',
        url: g.ctx + 'pc/sys/dict/getDicByType?type=defective_batches',
        editable: false,
        value: $(".defectiveBatches").val(),
        prompt: '-- 请选择 --',
        panelHeight: 'auto',
        onSelect: function (record) {

        }
    });
}

$(".sqeExamine").click(function () {
    var sqe_examine = $("input[name='sqeExamine']:checked").val();
    if (sqe_examine == 1){
        $(".qualitySurvey").show();
    }else {
        $(".qualitySurvey").hide();
    }
});
/**
 * 附件上传
 **/
function uploadFilesDialog(val){

    openFileUploadDialog('uploadFilesDialog',{
        title:'附件上传',
        fileIds : val,
        lookFlag: false,
        height: '75%',
        callBack : function (fileIds) {
            returnAddRequirefileUpload(fileIds.join(','))
        },
    });
}